# pqxx::result::result::const_reverse_iterator Class Reference

`#include <result.hxx>`

Inheritance diagram for pqxx::result::result::const_reverse_iterator:

[legend]

List of all members.

## Public Types
typedef pqxx::result::const_iterator | super
typedef pqxx::result::const_iterator | iterator_type
typedef result::difference_type | difference_type
typedef const tuple * | pointer
typedef tuple | reference
## Public Member Functions
| const_reverse_iterator (const const_reverse_iterator &rhs)
| const_reverse_iterator (const const_iterator &rhs)
iterator_type | base () const throw ()
Manipulations
const_reverse_iterator & | operator= (const const_reverse_iterator &r)
const_reverse_iterator | operator++ ()
const_reverse_iterator | operator++ (int)
const_reverse_iterator & | operator-- ()
const_reverse_iterator | operator-- (int)
const_reverse_iterator & | operator+= (difference_type i)
const_reverse_iterator & | operator-= (difference_type i)
Arithmetic operators
const_reverse_iterator | operator+ (difference_type i) const
const_reverse_iterator | operator- (difference_type i)
difference_type | operator- (const const_reverse_iterator &rhs) const
Comparisons
bool | operator== (const const_reverse_iterator &rhs) const throw ()
bool | operator!= (const const_reverse_iterator &rhs) const throw ()
bool | operator< (const const_reverse_iterator &rhs) const
bool | operator<= (const const_reverse_iterator &rhs) const
bool | operator> (const const_reverse_iterator &rhs) const
bool | operator>= (const const_reverse_iterator &rhs) const

## Member Typedef Documentation

typedef result::difference_type pqxx::result::result::const_iterator::difference_type

typedef pqxx::result::const_iterator pqxx::result::result::const_reverse_iterator::iterator_type

typedef const tuple* pqxx::result::result::const_iterator::pointer

typedef tuple pqxx::result::result::const_iterator::reference

typedef pqxx::result::const_iterator pqxx::result::result::const_reverse_iterator::super

## Constructor & Destructor Documentation

pqxx::result::result::const_reverse_iterator::const_reverse_iterator | ( | const const_reverse_iterator & | rhs | ) |

pqxx::result::result::const_reverse_iterator::const_reverse_iterator | ( | const const_iterator & | rhs | ) | `[explicit]`

## Member Function Documentation

pqxx::result::const_iterator pqxx::result::result::const_reverse_iterator::base | ( |  | ) | const throw ()

Referenced by pqxx::operator+().

bool pqxx::result::result::const_reverse_iterator::operator!= | ( | const const_reverse_iterator & | rhs | ) | const throw ()

const_reverse_iterator pqxx::result::result::const_reverse_iterator::operator+ | ( | difference_type | i | ) | const

Reimplemented from pqxx::result::result::const_iterator.

pqxx::result::const_reverse_iterator pqxx::result::result::const_reverse_iterator::operator++ | ( | int |  | ) |

Reimplemented from pqxx::result::result::const_iterator.

References pqxx::result::result::const_iterator::operator--().

const_reverse_iterator pqxx::result::result::const_reverse_iterator::operator++ | ( |  | ) |

Reimplemented from pqxx::result::result::const_iterator.

const_reverse_iterator& pqxx::result::result::const_reverse_iterator::operator+= | ( | difference_type | i | ) |

Reimplemented from pqxx::result::result::const_iterator.

difference_type pqxx::result::result::const_reverse_iterator::operator- | ( | const const_reverse_iterator & | rhs | ) | const

const_reverse_iterator pqxx::result::result::const_reverse_iterator::operator- | ( | difference_type | i | ) |

pqxx::result::const_reverse_iterator pqxx::result::result::const_reverse_iterator::operator-- | ( | int |  | ) |

Reimplemented from pqxx::result::result::const_iterator.

References pqxx::result::result::const_iterator::operator++().

const_reverse_iterator& pqxx::result::result::const_reverse_iterator::operator-- | ( |  | ) |

Reimplemented from pqxx::result::result::const_iterator.

const_reverse_iterator& pqxx::result::result::const_reverse_iterator::operator-= | ( | difference_type | i | ) |

Reimplemented from pqxx::result::result::const_iterator.

bool pqxx::result::result::const_reverse_iterator::operator< | ( | const const_reverse_iterator & | rhs | ) | const

bool pqxx::result::result::const_reverse_iterator::operator<= | ( | const const_reverse_iterator & | rhs | ) | const

const_reverse_iterator& pqxx::result::result::const_reverse_iterator::operator= | ( | const const_reverse_iterator & | r | ) |

bool pqxx::result::result::const_reverse_iterator::operator== | ( | const const_reverse_iterator & | rhs | ) | const throw ()

bool pqxx::result::result::const_reverse_iterator::operator> | ( | const const_reverse_iterator & | rhs | ) | const

bool pqxx::result::result::const_reverse_iterator::operator>= | ( | const const_reverse_iterator & | rhs | ) | const

The documentation for this class was generated from the following files:

- result.hxx
- result.cxx